Page MenuHomePhabricator

Update jquery.autosize
Closed, ResolvedPublic

Description

There are many new versions since the currently used 3.0.15: https://github.com/jackmoore/autosize/blob/master/changelog.md

It should also be moved to separate directory (e.g. libs) that is excluded from formatting changes like was done in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/+/503476

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 6:41 AM
dmattern claimed this task.Jul 3 2019, 2:03 AM

Change 520353 had a related patch set uploaded (by Dmattern; owner: Dmattern):
[mediawiki/extensions/Translate@master] Upgrade jquery.autosize

https://gerrit.wikimedia.org/r/520353

Not sure if there is a more standardized way of doing this but I pulled in the latest release using composer and had it copy the file out to the libs dir for use. I was hoping to not have to keep the actual file in the repository, but if this is not how it is done, or if there is a more correct way I'd be happy to modify it.

Change 562026 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Update jquery.autosize to 4.0.2

https://gerrit.wikimedia.org/r/562026

Change 562026 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update jquery.autosize to 4.0.2

https://gerrit.wikimedia.org/r/562026

Change 520353 abandoned by Abijeet Patro:
Upgrade jquery.autosize

Reason:
Abandoned in favor of Ibeecc5a97e088f5d7566f160b411951fb6a4deca

https://gerrit.wikimedia.org/r/520353

abi_ triaged this task as Low priority.Jan 14 2020, 5:40 AM
Nikerabbit closed this task as Resolved.Jan 15 2020, 2:13 PM

Tested in translatewiki.net using Chrome browser. Didn't notice any issues or regressions.